NXOpen .NET Reference Guide  1899
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Types | Public Member Functions | Properties | List of all members
NXOpen.Motion.SplineBeamBuilder Class Reference

Represents a Motion.SplineBeamBuilder builder More...

Inheritance diagram for NXOpen.Motion.SplineBeamBuilder:
NXOpen.Motion.MotionBuilder NXOpen.Builder NXOpen.TaggedObject NXOpen.GeometricUtilities.IComponentBuilder NXOpen.Utilities.NXRemotableObject IMessageSink

Public Types

enum  DefinitionMethodType { Manual, Curve }
 the definition method type More...
 
enum  SectionAxisType { Y, Z }
 the definition of the section axis type More...
 

Public Member Functions

unsafe void AssignPoint (int index, NXOpen.Point point)
 Assigns a point More...
 
unsafe
NXOpen.Motion.MarkerToNodeData 
CreateMarkerToNode (NXOpen.NXObject marker, int markerPosition, int pointID, bool useClosestNode)
 Creates a new list item More...
 
unsafe void ExportPointsToFile (string filePath)
 Exports the points to an external file. More...
 
unsafe
NXOpen.Motion.MarkerToNodeData 
FindMarkerItem (string markerName)
 Finds marker to node item from the given name More...
 
unsafe void GeneratePoints ()
 Generates the points More...
 
unsafe
NXOpen.Motion.MarkerToNodeData[] 
GetMarkerItems ()
 Gets marker to node list Items More...
 
unsafe void ImportPointsFromFile (string filePath)
 Imports the points from an external file. More...
 
unsafe void InsertEmptyPoint (int index)
 Inserts an empty point to a location More...
 
unsafe void RemoveAllMarkers ()
 Removes all markers More...
 
unsafe void RemovePoint (int index)
 Removes a point More...
 
unsafe void SwapPoints (int index1, int index2)
 Swaps two points More...
 

Properties

unsafe NXOpen.SelectCurveList Curves [get]
 Returns the optional curves object More...
 
unsafe
NXOpen.Motion.SplineBeamBuilder.DefinitionMethodType 
DefinitionMethod [get, set]
 Returns or sets the definition method More...
 
unsafe NXOpen.Motion.SelectLink Link [get]
 Returns the motion body object More...
 
unsafe string Name [get, set]
 Returns or sets the name of the spline beam object More...
 
unsafe NXOpen.Expression NumberOfSections [get]
 Returns the number of sections More...
 
unsafe NXOpen.PointList PointList [get]
 Returns the list of points More...
 
unsafe
NXOpen.Motion.SplineBeamBuilder.SectionAxisType 
SectionAxis [get, set]
 Returns or sets the section orientation axis type More...
 
unsafe
NXOpen.Motion.SelectBaseSection 
SectionShape [get]
 Returns the section shape More...
 
unsafe NXOpen.Direction SectionVector [get, set]
 Returns or sets the section orientation vector More...
 
unsafe
NXOpen.Motion.SelectSplineBeamProperty 
StructuralProperty [get]
 Returns the structural property More...
 
unsafe NXOpen.Expression Tolerance [get]
 Returns the tolerance More...
 
- Properties inherited from NXOpen.Motion.MotionBuilder
unsafe double DisplayScale [get, set]
 Returns or sets the icon display scale More...
 
unsafe string GroupName [get, set]
 Returns or sets the group name More...
 
unsafe
NXOpen.Motion.MotionObject.GroupType 
GroupType [get, set]
 Returns or sets the group type More...
 
- Properties inherited from NXOpen.Builder
unsafe NXOpen.PreviewBuilder PreviewBuilder [get]
 Returns the preview builder subobject. More...
 
- Properties inherited from NXOpen.TaggedObject
Tag Tag [get]
 Returns the tag of this object. More...
 
- Properties inherited from NXOpen.Utilities.NXRemotableObject
IMessageSink NextSink [get]
 Gets the next message sink in the sink chain. More...
 

Additional Inherited Members

- Protected Member Functions inherited from NXOpen.TaggedObject
new void initialize ()
 <exclude> More...
 

Detailed Description

Represents a Motion.SplineBeamBuilder builder

To create a new instance of this class, use NXOpen.Motion.SplineBeamCollection.CreateSplineBeamBuilder

Default values.

Property Value

DefinitionMethod

Manual

NumberOfSections.Value

1

Created in NX12.0.0

Member Enumeration Documentation

the definition method type

Enumerator
Manual 

Manual

Curve 

Curve

the definition of the section axis type

Enumerator
Y 

Y Vector

Z 

Z Vector

Member Function Documentation

unsafe void NXOpen.Motion.SplineBeamBuilder.AssignPoint ( int  index,
NXOpen.Point  point 
)
inline

Assigns a point

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
index
point
unsafe NXOpen.Motion.MarkerToNodeData NXOpen.Motion.SplineBeamBuilder.CreateMarkerToNode ( NXOpen.NXObject  marker,
int  markerPosition,
int  pointID,
bool  useClosestNode 
)
inline

Creates a new list item

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
markerThe marker tag
markerPositionThe i or j marker identity
pointIDThe point ID
useClosestNodeWhether to move the node
Returns
unsafe void NXOpen.Motion.SplineBeamBuilder.ExportPointsToFile ( string  filePath)
inline

Exports the points to an external file.

Allowed file types are .txt and Excel files

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
filePath
unsafe NXOpen.Motion.MarkerToNodeData NXOpen.Motion.SplineBeamBuilder.FindMarkerItem ( string  markerName)
inline

Finds marker to node item from the given name

Created in NX1847.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
markerName
Returns
unsafe void NXOpen.Motion.SplineBeamBuilder.GeneratePoints ( )
inline

Generates the points

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.MarkerToNodeData [] NXOpen.Motion.SplineBeamBuilder.GetMarkerItems ( )
inline

Gets marker to node list Items

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Returns
unsafe void NXOpen.Motion.SplineBeamBuilder.ImportPointsFromFile ( string  filePath)
inline

Imports the points from an external file.

Allowed file types are .txt and Excel files

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
filePath
unsafe void NXOpen.Motion.SplineBeamBuilder.InsertEmptyPoint ( int  index)
inline

Inserts an empty point to a location

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
index
unsafe void NXOpen.Motion.SplineBeamBuilder.RemoveAllMarkers ( )
inline

Removes all markers

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe void NXOpen.Motion.SplineBeamBuilder.RemovePoint ( int  index)
inline

Removes a point

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
index
unsafe void NXOpen.Motion.SplineBeamBuilder.SwapPoints ( int  index1,
int  index2 
)
inline

Swaps two points

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

Parameters
index1
index2

Property Documentation

unsafe NXOpen.SelectCurveList NXOpen.Motion.SplineBeamBuilder.Curves
get

Returns the optional curves object

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SplineBeamBuilder.DefinitionMethodType NXOpen.Motion.SplineBeamBuilder.DefinitionMethod
getset

Returns or sets the definition method

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectLink NXOpen.Motion.SplineBeamBuilder.Link
get

Returns the motion body object

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe string NXOpen.Motion.SplineBeamBuilder.Name
getset

Returns or sets the name of the spline beam object

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SplineBeamBuilder.NumberOfSections
get

Returns the number of sections

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.PointList NXOpen.Motion.SplineBeamBuilder.PointList
get

Returns the list of points

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SplineBeamBuilder.SectionAxisType NXOpen.Motion.SplineBeamBuilder.SectionAxis
getset

Returns or sets the section orientation axis type

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectBaseSection NXOpen.Motion.SplineBeamBuilder.SectionShape
get

Returns the section shape

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Direction NXOpen.Motion.SplineBeamBuilder.SectionVector
getset

Returns or sets the section orientation vector

Created in NX12.0.0

License requirements to get this property: mechanisms ("MECHANISMS")

License requirements to set this property: mechanisms ("MECHANISMS")

unsafe NXOpen.Motion.SelectSplineBeamProperty NXOpen.Motion.SplineBeamBuilder.StructuralProperty
get

Returns the structural property

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")

unsafe NXOpen.Expression NXOpen.Motion.SplineBeamBuilder.Tolerance
get

Returns the tolerance

Created in NX12.0.0

License requirements: mechanisms ("MECHANISMS")


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.